#! /bin/sh

set -e

. $top_srcdir/config/common.sh

_dispatch ()
{
  if test x"$TEST_COMPILER" != x; then
    compilation "$input" "output.o"
    exit 0
  fi
  case $ext in
    nccc)
      test_diff_nccc "$@"
      ;;
    detcc)
      test_diff_detcc "$@"
      ;;
    detc)
      test_diff_detc "$@"
      ;;
    C|cc|cxx|cpp)
      parse_cxx "$input" "output.cxx" "$@"
      ;;
    c)
      parse_c "$input" "output.c" "$@"
      ;;
    gnuc)
      parse_gnuc "$input" "output.gnuc" "$@"
      ;;
    *)
      fatal "no rule for extension $ext"
      ;;
  esac
}

test_main "$@"
