AUTOMAKE_OPTIONS =
include $(top_srcdir)/config/check.mk

# FILES
# files_for_one GLOB
# ------------------
# Return the set of prefixed chk files in DIR/.  E.g., returns
# 2.0-foo.chk if there is 2.0/foo.chk.
files_for_one =						\
  $(patsubst $(srcdir)/%,%,$(wildcard $(srcdir)/$(1)))

# FILES
# files_for DIRS GLOB
# -------------------
# Return the set of prefixed chk files in DIR/.  E.g., returns
# 2.0-foo.chk if there is 2.0/foo.chk.
files_for =						\
  $(foreach dir,$(1),$(call files_for_one,$(dir)/$(2)))

# FILES
# files_for GLOBS
# ---------------
tests_files_for =						\
  $(foreach glob,$(1),$(call files_for,$(TESTS_DIRS),$(glob)))

TESTS = $(call tests_files_for,*.$(TESTS_EXT))

TESTS_ENVIRONMENT = \
	BUILD_REPOSITORY=$(BUILD_REPOSITORY) 	\
	top_builddir=$(top_builddir) 		\
	top_srcdir=$(top_srcdir) 		\
	abs_top_builddir=$(abs_top_builddir)	\
	logfile=$@				\
	TEST_COMPILER=$(TEST_COMPILER) 		\
	SDF_TOOLS=$(SDF_TOOLS)

%-compil.log: %.$(TESTS_EXT)
	@$(am__check_pre) $(top_srcdir)/config/check-parse.sh  $${dir}$< $(am__check_post)

%-parse.log: %.$(TESTS_EXT)
	@$(am__check_pre) $(top_srcdir)/config/check-parse.sh  $${dir}$< $(am__check_post)


#ifdef TEST_COMPILER
#  TEST_LOGS = $(TESTS:.$(TESTS_EXT)=-compil.log)
#else
TEST_LOGS = $(TESTS:.$(TESTS_EXT)=-parse.log)
#endif

EXTRA_DIST = $(TESTS)
check-clean-local:
	rm -rf $(TESTS:.$(TESTS_EXT)=.dir)
